Skip to content

Save business profile

POST
/api/v1/onboarding/profile
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/onboarding/profile \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "business_name": "example", "description": "example", "industry": "example", "involvement_level": "hands_on", "name": "example", "services": "example", "stage": "idea", "website_url": "example" }'

Save the business profile collected during onboarding.

Media typeapplication/json
BusinessProfileRequest

Request body for POST /api/v1/onboarding/profile.

Attributes: name: Business name. description: Short description of what the business does. industry: Primary industry or vertical. stage: Current growth stage. involvement_level: Owner’s desired involvement level. business_name: Optional alias for name – accepted from the Phase 208 failed-scan manual-entry form (UI-SPEC §1.4). services: Optional comma-separated services list from the Phase 208 manual-entry form. website_url: Optional website URL from the Phase 208 manual-entry form (the scan failed and the user filled in details).

object
business_name
Any of:
string
<= 200 characters
description
required
Description
string
>= 1 characters <= 2000 characters
industry
required
Industry
string
>= 1 characters <= 100 characters
involvement_level
required
InvolvementLevel

How involved the owner wants to be in day-to-day operations.

string
Allowed values: hands_on moderate delegator absentee
name
required
Name
string
>= 1 characters <= 200 characters
services
Any of:
string
<= 1000 characters
stage
required
BusinessStage

Growth stage of the business.

string
Allowed values: idea pre_revenue early_revenue growing established scaling
website_url
Any of:
string
<= 2048 characters

Successful Response

Media typeapplication/json
BusinessProfileResponse

Response for POST /api/v1/onboarding/profile.

object
data
required
BusinessProfileData

Stored business profile returned after creation.

Attributes: id: Unique identifier for the profile. name: Business name. description: Short description. industry: Primary industry. stage: Current growth stage. involvement_level: Owner involvement level. created_at: When the profile was created.

object
created_at
Created At
string format: date-time
description
required
Description
string
id
Id
string
industry
required
Industry
string
involvement_level
required
InvolvementLevel

How involved the owner wants to be in day-to-day operations.

string
Allowed values: hands_on moderate delegator absentee
name
required
Name
string
stage
required
BusinessStage

Growth stage of the business.

string
Allowed values: idea pre_revenue early_revenue growing established scaling
meta
ApiMeta

Standard metadata included in every API response.

Attributes: request_id: Unique identifier for request tracing. timestamp: UTC timestamp of the response.

object
request_id
Request Id

Unique identifier for request tracing

string
timestamp
Timestamp

UTC timestamp of the response

string format: date-time
Example
{
"data": {
"involvement_level": "hands_on",
"stage": "idea"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}